aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-02-18 21:42:37 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-02-18 21:42:37 +1300
commit469ac2466a943028f9a431bc4498dd197fd9262f (patch)
treea89ef571f2548d0d266012486064a1ba8d02ec38 /sh/shrc.d
parentUse short-circuits in .profile.d scripts (diff)
downloaddotfiles-469ac2466a943028f9a431bc4498dd197fd9262f.tar.gz
dotfiles-469ac2466a943028f9a431bc4498dd197fd9262f.zip
Don't export GPG_TTY if null
Diffstat (limited to 'sh/shrc.d')
-rw-r--r--sh/shrc.d/keychain.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/shrc.d/keychain.sh b/sh/shrc.d/keychain.sh
index d9aaf63f..9a732384 100644
--- a/sh/shrc.d/keychain.sh
+++ b/sh/shrc.d/keychain.sh
@@ -1,4 +1,4 @@
# If GPG_AGENT_INFO is set, update GPG_TTY for clean use of pinentry(1) etc
[ -n "$GPG_AGENT_INFO" ] || return
-GPG_TTY=$(command -p tty)
+GPG_TTY=$(command -p tty) || return
export GPG_TTY